# org.pdfclown.documents.functions.Type0Function Class Reference

Sampled function using a sequence of sample values to provide an approximation for functions whose domains and ranges are bounded [PDF:1.6:3.9.1]. More...

Inheritance diagram for org.pdfclown.documents.functions.Type0Function:

List of all members.

## Public Types
enum | InterpolationOrderEnum { Linear = 1, Cubic = 3 }
## Public Member Functions
IList< PdfDirectObject > | Calculate (IList< PdfDirectObject > inputs)
| Gets the result of the calculation applied by this function to the specified input values.
override double[] | Calculate (double[] inputs)
| Gets the result of the calculation applied by this function to the specified input values.
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Function | Wrap (PdfDirectObject baseObject)
| Wraps a function base object into a function object.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
delegate IList< Interval< T > > | DefaultIntervalsCallback< T > (IList< Interval< T >> intervals)
| Default intervals callback.
IList< Interval< T > > | GetIntervals< T > (PdfName key, DefaultIntervalsCallback< T > defaultIntervalsCallback)
| Gets the intervals corresponding to the specified key.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
PdfDictionary | Dictionary`[get]`
| Gets this function's dictionary.
Document | Document`[get]`
| Gets the document context.
IList< Interval< int > > | DomainEncodes`[get]`
| Gets the linear mapping of input values into the domain of the function's sample table.
IList< Interval< double > > | Domains`[get]`
| Gets the (inclusive) domains of the input values.
File | File`[get]`
| Gets the file context.
int | InputCount`[get]`
| Gets the number of input values (parameters) of this function.
InterpolationOrderEnum | Order`[get]`
| Gets the order of interpolation between samples.
int | OutputCount`[get]`
| Gets the number of output values (results) of this function.
IList< Interval< double > > | RangeDecodes`[get]`
| Gets the linear mapping of sample values into the ranges of the function's output values.
IList< Interval< double > > | Ranges`[get]`
| Gets the (inclusive) ranges of the output values.
int | SampleBitsCount`[get]`
| Gets the number of bits used to represent each sample.
IList< int > | SampleCounts`[get]`
| Gets the number of samples in each input dimension of the sample table.

##

Sampled function using a sequence of sample values to provide an approximation for functions whose domains and ranges are bounded [PDF:1.6:3.9.1].

The samples are organized as an m-dimensional table in which each entry has n components.

## Member Enumeration Documentation

enum org::pdfclown::documents::functions::Type0Function::InterpolationOrderEnum

Enumerator:

  Linear | Linear spline interpolation.
  Cubic | Cubic spline interpolation.

## Member Function Documentation

IList<PdfDirectObject> org.pdfclown.documents.functions.Function.Calculate | ( | IList< PdfDirectObject > | inputs | ) | `[inherited]`

Gets the result of the calculation applied by this function to the specified input values.

Parameters:

  | inputs | Input values.

override double [] org.pdfclown.documents.functions.Type0Function.Calculate | ( | double[] | inputs | ) | `[virtual]`

Gets the result of the calculation applied by this function to the specified input values.

Parameters:

  | inputs | Input values.

Implements org.pdfclown.documents.functions.Function.

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

delegate IList<Interval<T> > org.pdfclown.documents.functions.Function.DefaultIntervalsCallback< T > | ( | IList< Interval< T >> | intervals | ) | `[protected, inherited]`

Default intervals callback.

Type Constraints

  T | : | IComparable<T> |

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.colorSpaces.LeveledColor.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDataObject > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.colorSpaces.LeveledColor.

IList<Interval<T> > org.pdfclown.documents.functions.Function.GetIntervals< T > | ( | PdfName | key,
|  | DefaultIntervalsCallback< T > | defaultIntervalsCallback |
| ) |  |  | `[protected, inherited]`

Gets the intervals corresponding to the specified key.

Type Constraints

  T | : | IComparable<T> |

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static Function org.pdfclown.documents.functions.Function.Wrap | ( | PdfDirectObject | baseObject | ) | `[static, inherited]`

Wraps a function base object into a function object.

Parameters:

  | baseObject | Function base object.

Returns:
  Function object associated to the base object.

References org.pdfclown.objects.PdfObject.Resolve().

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

PdfDictionary org.pdfclown.documents.functions.Function.Dictionary`[get, protected, inherited]`

Gets this function's dictionary.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

IList<Interval<int> > org.pdfclown.documents.functions.Type0Function.DomainEncodes`[get]`

Gets the linear mapping of input values into the domain of the function's sample table.

IList<Interval<double> > org.pdfclown.documents.functions.Function.Domains`[get, inherited]`

Gets the (inclusive) domains of the input values.

Input values outside the declared domains are clipped to the nearest boundary value.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

int org.pdfclown.documents.functions.Function.InputCount`[get, inherited]`

Gets the number of input values (parameters) of this function.

InterpolationOrderEnum org.pdfclown.documents.functions.Type0Function.Order`[get]`

Gets the order of interpolation between samples.

int org.pdfclown.documents.functions.Function.OutputCount`[get, inherited]`

Gets the number of output values (results) of this function.

IList<Interval<double> > org.pdfclown.documents.functions.Type0Function.RangeDecodes`[get]`

Gets the linear mapping of sample values into the ranges of the function's output values.

IList<Interval<double> > org.pdfclown.documents.functions.Function.Ranges`[get, inherited]`

Gets the (inclusive) ranges of the output values.

Output values outside the declared ranges are clipped to the nearest boundary value; if this entry is absent, no clipping is done.

Returns:

      null

  in case of unbounded ranges.

int org.pdfclown.documents.functions.Type0Function.SampleBitsCount`[get]`

Gets the number of bits used to represent each sample.

IList<int> org.pdfclown.documents.functions.Type0Function.SampleCounts`[get]`

Gets the number of samples in each input dimension of the sample table.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.